/// <reference types="react" />
import { JsonSchema, Layout } from '@jsonforms/core';
import { StyleProps } from '@react-types/shared';
export interface RenderChildrenProps {
    layout: Layout;
    schema: JsonSchema;
    styleProps: StyleProps;
    path: string;
}
export declare const renderChildren: (layout: Layout, schema: JsonSchema, styleProps: StyleProps | ((childIndex: number) => StyleProps), path: string, enabled: boolean) => JSX.Element[];
